package com.sunxung.factoring.entity.sys;

import com.sunxung.factoring.entity.BaseEntity;

/**
 * @Description:系统编号实体类（如业务编号）<br>
 * 编号由前缀prefix和序号组成，序号根据步长递变，前缀由日期+编号编码（ConstantUtil.java、客户营销编码为"CF"表示保理）
 * 
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年6月5日 下午3:47:06
 */
public class SystemSerialNum extends BaseEntity {

    private static final long serialVersionUID = 2434144707817482351L;
    /** 编号名称（标识、前缀） **/
    private String name;
    /** 当前序号 **/
    private long curNum;
    /** 步长 **/
    private int step;
    /** 备注 **/
    private String remark;

    public SystemSerialNum(){
        super();
    }

    public SystemSerialNum(String name, long curNum, int step, String remark){
        this.name = name;
        this.curNum = curNum;
        this.step = step;
        this.remark = remark;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getCurNum() {
        return curNum;
    }

    public void setCurNum(long curNum) {
        this.curNum = curNum;
    }

    public int getStep() {
        return step;
    }

    public void setStep(int step) {
        this.step = step;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
